import styles from './styles.module.css'
import {useContext} from "react";
import Context, {ContextInterface} from "../command/context";
import {TextField} from "@mui/material";
import {OptionInterface} from "../../../../../api/sm/responses/comamnds";

export default function Option(option: OptionInterface) {
    let {optionList: ol, setOptionList} = useContext<ContextInterface>(Context)

    let onInput = (event: any) => {
        let temp = {
            ...ol
        }
        temp[option.name] = event.target.value
        setOptionList(temp)
    }
    return (
        <span>
            {option.shortcut ? '-' : '--'}
            {option.acceptValue ? '' : (option.shortcut || option.name)}
            {option.acceptValue &&
                <TextField
                    label={option.shortcut || option.name}
                    onInput={onInput}
                    size="small"
                    variant="outlined" />}&nbsp;
        </span>
    )
}
